package com.mvc.entity;

import java.math.BigDecimal;
import java.util.Date;

public class TempAiread {
    private Integer id;

    private String aireadId;

    private String deviceSn;

    private String stationCode;

    private String wmId;

    private String goodFlag;

    private BigDecimal resultValue;

    private BigDecimal identValue;

    private BigDecimal rawValue;

    private String debugInfo;

    private String funCode;

    private Date sampleTime;

    private Date rptTime;

    private Date revTime;

    private BigDecimal voltage;

    private BigDecimal temperature;

    private BigDecimal socRate;

    private Integer mcuRunNum;

    private Integer batRumTime;

    private Integer rsrp;

    private String errorCode;

    private String softVer;

    private String ccid;

    private Integer snr;

    private String hardwareCode;

    private String nbVersion;

    private String hardVersion;

    private String smallJpgUrl;

    private String smallJpgPackGid;

    private String bigJpgUrl;

    private String bigJpgPackGid;

    private String ressiuePackGid;

    private Integer picHeigth;

    private Integer picWidth;

    private String szsbz;

    private String szsbgl;

    private BigDecimal actualAmount;

    private String preAmount;

    private Date preTime;

    private Integer intervalMinutes;

    private String reviewFlag;

    private String reviewResultFlag;

    private String reviewMan;

    private Date reviewTime;

    private BigDecimal reviewValue;

    private String taskReviewId;

    private String aiVersion;

    private String deviceType;

    private Integer decimalDigits;

    private Integer ip1SendStatus;

    private String randomCode;

    private Integer picType;

    private String nbRegLocation;

    private String imageCoordinateInfo;

    private String imei;

    private Integer csq;

    private Integer ecl;

    private Integer communicationModuleType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAireadId() {
        return aireadId;
    }

    public void setAireadId(String aireadId) {
        this.aireadId = aireadId == null ? null : aireadId.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getWmId() {
        return wmId;
    }

    public void setWmId(String wmId) {
        this.wmId = wmId == null ? null : wmId.trim();
    }

    public String getGoodFlag() {
        return goodFlag;
    }

    public void setGoodFlag(String goodFlag) {
        this.goodFlag = goodFlag == null ? null : goodFlag.trim();
    }

    public BigDecimal getResultValue() {
        return resultValue;
    }

    public void setResultValue(BigDecimal resultValue) {
        this.resultValue = resultValue;
    }

    public BigDecimal getIdentValue() {
        return identValue;
    }

    public void setIdentValue(BigDecimal identValue) {
        this.identValue = identValue;
    }

    public BigDecimal getRawValue() {
        return rawValue;
    }

    public void setRawValue(BigDecimal rawValue) {
        this.rawValue = rawValue;
    }

    public String getDebugInfo() {
        return debugInfo;
    }

    public void setDebugInfo(String debugInfo) {
        this.debugInfo = debugInfo == null ? null : debugInfo.trim();
    }

    public String getFunCode() {
        return funCode;
    }

    public void setFunCode(String funCode) {
        this.funCode = funCode == null ? null : funCode.trim();
    }

    public Date getSampleTime() {
        return sampleTime;
    }

    public void setSampleTime(Date sampleTime) {
        this.sampleTime = sampleTime;
    }

    public Date getRptTime() {
        return rptTime;
    }

    public void setRptTime(Date rptTime) {
        this.rptTime = rptTime;
    }

    public Date getRevTime() {
        return revTime;
    }

    public void setRevTime(Date revTime) {
        this.revTime = revTime;
    }

    public BigDecimal getVoltage() {
        return voltage;
    }

    public void setVoltage(BigDecimal voltage) {
        this.voltage = voltage;
    }

    public BigDecimal getTemperature() {
        return temperature;
    }

    public void setTemperature(BigDecimal temperature) {
        this.temperature = temperature;
    }

    public BigDecimal getSocRate() {
        return socRate;
    }

    public void setSocRate(BigDecimal socRate) {
        this.socRate = socRate;
    }

    public Integer getMcuRunNum() {
        return mcuRunNum;
    }

    public void setMcuRunNum(Integer mcuRunNum) {
        this.mcuRunNum = mcuRunNum;
    }

    public Integer getBatRumTime() {
        return batRumTime;
    }

    public void setBatRumTime(Integer batRumTime) {
        this.batRumTime = batRumTime;
    }

    public Integer getRsrp() {
        return rsrp;
    }

    public void setRsrp(Integer rsrp) {
        this.rsrp = rsrp;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode == null ? null : errorCode.trim();
    }

    public String getSoftVer() {
        return softVer;
    }

    public void setSoftVer(String softVer) {
        this.softVer = softVer == null ? null : softVer.trim();
    }

    public String getCcid() {
        return ccid;
    }

    public void setCcid(String ccid) {
        this.ccid = ccid == null ? null : ccid.trim();
    }

    public Integer getSnr() {
        return snr;
    }

    public void setSnr(Integer snr) {
        this.snr = snr;
    }

    public String getHardwareCode() {
        return hardwareCode;
    }

    public void setHardwareCode(String hardwareCode) {
        this.hardwareCode = hardwareCode == null ? null : hardwareCode.trim();
    }

    public String getNbVersion() {
        return nbVersion;
    }

    public void setNbVersion(String nbVersion) {
        this.nbVersion = nbVersion == null ? null : nbVersion.trim();
    }

    public String getHardVersion() {
        return hardVersion;
    }

    public void setHardVersion(String hardVersion) {
        this.hardVersion = hardVersion == null ? null : hardVersion.trim();
    }

    public String getSmallJpgUrl() {
        return smallJpgUrl;
    }

    public void setSmallJpgUrl(String smallJpgUrl) {
        this.smallJpgUrl = smallJpgUrl == null ? null : smallJpgUrl.trim();
    }

    public String getSmallJpgPackGid() {
        return smallJpgPackGid;
    }

    public void setSmallJpgPackGid(String smallJpgPackGid) {
        this.smallJpgPackGid = smallJpgPackGid == null ? null : smallJpgPackGid.trim();
    }

    public String getBigJpgUrl() {
        return bigJpgUrl;
    }

    public void setBigJpgUrl(String bigJpgUrl) {
        this.bigJpgUrl = bigJpgUrl == null ? null : bigJpgUrl.trim();
    }

    public String getBigJpgPackGid() {
        return bigJpgPackGid;
    }

    public void setBigJpgPackGid(String bigJpgPackGid) {
        this.bigJpgPackGid = bigJpgPackGid == null ? null : bigJpgPackGid.trim();
    }

    public String getRessiuePackGid() {
        return ressiuePackGid;
    }

    public void setRessiuePackGid(String ressiuePackGid) {
        this.ressiuePackGid = ressiuePackGid == null ? null : ressiuePackGid.trim();
    }

    public Integer getPicHeigth() {
        return picHeigth;
    }

    public void setPicHeigth(Integer picHeigth) {
        this.picHeigth = picHeigth;
    }

    public Integer getPicWidth() {
        return picWidth;
    }

    public void setPicWidth(Integer picWidth) {
        this.picWidth = picWidth;
    }

    public String getSzsbz() {
        return szsbz;
    }

    public void setSzsbz(String szsbz) {
        this.szsbz = szsbz == null ? null : szsbz.trim();
    }

    public String getSzsbgl() {
        return szsbgl;
    }

    public void setSzsbgl(String szsbgl) {
        this.szsbgl = szsbgl == null ? null : szsbgl.trim();
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public String getPreAmount() {
        return preAmount;
    }

    public void setPreAmount(String preAmount) {
        this.preAmount = preAmount == null ? null : preAmount.trim();
    }

    public Date getPreTime() {
        return preTime;
    }

    public void setPreTime(Date preTime) {
        this.preTime = preTime;
    }

    public Integer getIntervalMinutes() {
        return intervalMinutes;
    }

    public void setIntervalMinutes(Integer intervalMinutes) {
        this.intervalMinutes = intervalMinutes;
    }

    public String getReviewFlag() {
        return reviewFlag;
    }

    public void setReviewFlag(String reviewFlag) {
        this.reviewFlag = reviewFlag == null ? null : reviewFlag.trim();
    }

    public String getReviewResultFlag() {
        return reviewResultFlag;
    }

    public void setReviewResultFlag(String reviewResultFlag) {
        this.reviewResultFlag = reviewResultFlag == null ? null : reviewResultFlag.trim();
    }

    public String getReviewMan() {
        return reviewMan;
    }

    public void setReviewMan(String reviewMan) {
        this.reviewMan = reviewMan == null ? null : reviewMan.trim();
    }

    public Date getReviewTime() {
        return reviewTime;
    }

    public void setReviewTime(Date reviewTime) {
        this.reviewTime = reviewTime;
    }

    public BigDecimal getReviewValue() {
        return reviewValue;
    }

    public void setReviewValue(BigDecimal reviewValue) {
        this.reviewValue = reviewValue;
    }

    public String getTaskReviewId() {
        return taskReviewId;
    }

    public void setTaskReviewId(String taskReviewId) {
        this.taskReviewId = taskReviewId == null ? null : taskReviewId.trim();
    }

    public String getAiVersion() {
        return aiVersion;
    }

    public void setAiVersion(String aiVersion) {
        this.aiVersion = aiVersion == null ? null : aiVersion.trim();
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }

    public Integer getDecimalDigits() {
        return decimalDigits;
    }

    public void setDecimalDigits(Integer decimalDigits) {
        this.decimalDigits = decimalDigits;
    }

    public Integer getIp1SendStatus() {
        return ip1SendStatus;
    }

    public void setIp1SendStatus(Integer ip1SendStatus) {
        this.ip1SendStatus = ip1SendStatus;
    }

    public String getRandomCode() {
        return randomCode;
    }

    public void setRandomCode(String randomCode) {
        this.randomCode = randomCode == null ? null : randomCode.trim();
    }

    public Integer getPicType() {
        return picType;
    }

    public void setPicType(Integer picType) {
        this.picType = picType;
    }

    public String getNbRegLocation() {
        return nbRegLocation;
    }

    public void setNbRegLocation(String nbRegLocation) {
        this.nbRegLocation = nbRegLocation == null ? null : nbRegLocation.trim();
    }

    public String getImageCoordinateInfo() {
        return imageCoordinateInfo;
    }

    public void setImageCoordinateInfo(String imageCoordinateInfo) {
        this.imageCoordinateInfo = imageCoordinateInfo == null ? null : imageCoordinateInfo.trim();
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei == null ? null : imei.trim();
    }

    public Integer getCsq() {
        return csq;
    }

    public void setCsq(Integer csq) {
        this.csq = csq;
    }

    public Integer getEcl() {
        return ecl;
    }

    public void setEcl(Integer ecl) {
        this.ecl = ecl;
    }

    public Integer getCommunicationModuleType() {
        return communicationModuleType;
    }

    public void setCommunicationModuleType(Integer communicationModuleType) {
        this.communicationModuleType = communicationModuleType;
    }
}